#227 closed defect (fixed)

FPSP set for 68060 in m68k

Reported by: Chris Johns Owned by: Joel Sherrill
Priority: high Milestone: 2
Component: score Version: unknown
Severity: critical Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

The FPSP macro for the 68060 is enabled and it should not be.
The package is not ported to RTEMS nor should it. GCC should
multilib for the 68060 and so not generate the instructions
not supported by the 68060.

RTEMS does not need binary compatibility to earlier FP
processors so the overhead of emulating instructions is
also not needed.

Release:
cvs-head

Change History (1)

comment:1 Changed on May 28, 2002 at 4:32:44 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: This patch was applied.

$ cvs diff -u rtems/score/m68k.h
Index: rtems/score/m68k.h
===================================================================
RCS file: /usr1/CVS/rtems/c/src/exec/score/cpu/m68k/rtems/score/m68k.h,v
retrieving revision 1.8
diff -u -r1.8 m68k.h
--- rtems/score/m68k.h 3 Apr 2002 14:13:01 -0000 1.8
+++ rtems/score/m68k.h 28 May 2002 17:30:50 -0000
@@ -150,7 +150,7 @@

#define M68K_HAS_MISALIGNED 1
# if defined (HAVE_68881)
# define M68K_HAS_FPU 1

-# define M68K_HAS_FPSP_PACKAGE 1
+# define M68K_HAS_FPSP_PACKAGE 0

# else
# define M68K_HAS_FPU 0
# define M68K_HAS_FPSP_PACKAGE 0

Note: See TracTickets for help on using tickets.